Loading...
Searching...
No Matches
Discrete

## Classes

class | gtsam::AlgebraicDecisionTree< L >
| An algebraic decision tree fixes the range of a DecisionTree to double. More...
class | gtsam::Assignment< L >
| An assignment from labels to value index (size_t). More...
class | gtsam::DecisionTree< L, Y >
| a decision tree is a function from assignments to values. More...
class | gtsam::DecisionTreeFactor
| A discrete probabilistic factor. More...
class | gtsam::DiscreteBayesNet
| A Bayes net made from discrete conditional distributions. More...
class | gtsam::DiscreteBayesTree
| A Bayes tree representing a Discrete density. More...
class | gtsam::DiscreteConditional
| Discrete Conditional Density Derives from DecisionTreeFactor. More...
class | gtsam::DiscreteDistribution
| A prior probability on a set of discrete variables. More...
class | gtsam::DiscreteEliminationTree
| Elimination tree for discrete factors. More...
class | gtsam::DiscreteFactor
| Base class for discrete probabilistic factors The most general one is the derived DecisionTreeFactor. More...
class | gtsam::DiscreteFactorGraph
| A Discrete Factor Graph is a factor graph where all factors are Discrete, i.e. More...
class | gtsam::DiscreteJunctionTree
| An EliminatableClusterTree, i.e., a set of variable clusters with factors, arranged in a tree, with the additional property that it represents the clique tree associated with a Bayes net. More...
class | gtsam::DiscreteLookupTable
| DiscreteLookupTable table for max-product. More...
class | gtsam::DiscreteMarginals
| A class for computing marginals of variables in a DiscreteFactorGraph. More...
class | gtsam::DiscreteValues
| A map from keys to values. More...
class | gtsam::Signature
| Signature for a discrete conditional density, used to construct conditionals. More...

## Typedefs

using | gtsam::DiscreteKey = std::pair<Key,size_t>
| Key type for discrete variables.

## Functions

std::pair< DiscreteConditional::shared_ptr, DecisionTreeFactor::shared_ptr > | gtsam::EliminateDiscrete (const DiscreteFactorGraph &factors, const Ordering &frontalKeys)
| Main elimination function for DiscreteFactorGraph.
std::pair< DiscreteConditional::shared_ptr, DecisionTreeFactor::shared_ptr > | gtsam::EliminateForMPE (const DiscreteFactorGraph &factors, const Ordering &frontalKeys)
| Alternate elimination function for that creates non-normalized lookup tables.

## Detailed Description

## Typedef Documentation

## DiscreteKey

using gtsam::DiscreteKey = std::pair<Key,size_t>

Key type for discrete variables.

Includes Key and cardinality.

## Function Documentation

## EliminateDiscrete()

GTSAM_EXPORT std::pair< DiscreteConditional::shared_ptr, DecisionTreeFactor::shared_ptr > gtsam::EliminateDiscrete | ( | const DiscreteFactorGraph & | factors,
|  | const Ordering & | frontalKeys )

Main elimination function for DiscreteFactorGraph.

Parameters

  factors | The factor graph to eliminate.
  frontalKeys | An ordering for which variables to eliminate.

Returns
  A pair of the resulting conditional and the separator factor.

## EliminateForMPE()

GTSAM_EXPORT std::pair< DiscreteConditional::shared_ptr, DecisionTreeFactor::shared_ptr > gtsam::EliminateForMPE | ( | const DiscreteFactorGraph & | factors,
|  | const Ordering & | frontalKeys )

Alternate elimination function for that creates non-normalized lookup tables.

Parameters

  factors | The factor graph to eliminate.
  frontalKeys | An ordering for which variables to eliminate.

Returns
  A pair of the resulting lookup table and the separator factor.